---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libdeclcls003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FE90, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51DD0, symBinAddr: 0x8100, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x521C0, symBinAddr: 0x84F0, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53160, symBinAddr: 0x9490, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53170, symBinAddr: 0x94A0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FB20, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FB24, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FB28, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FC70, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FD28, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FD2C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FD30, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FD34, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FD38, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FD40, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FD58, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FD60, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FD68, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FD70, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FD78, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FDBA, symBinAddr: 0x61AA, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FDBC, symBinAddr: 0x61AC, symSize: 0x0 }
  - { offsetInCU: 0x9114, offset: 0x9114, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FDC0, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x912D, offset: 0x912D, size: 0x8, addend: 0x0, symName: __ZL8arr_sigs, symObjAddr: 0xDDD0, symBinAddr: 0x5020, symSize: 0x0 }
  - { offsetInCU: 0x918B, offset: 0x918B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1720, symSize: 0x80 }
  - { offsetInCU: 0x9220, offset: 0x9220, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1670, symSize: 0xB0 }
  - { offsetInCU: 0x927B, offset: 0x927B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1570, symSize: 0x100 }
  - { offsetInCU: 0x950E, offset: 0x950E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x17A0, symSize: 0x220 }
  - { offsetInCU: 0x96F3, offset: 0x96F3, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x19C0, symSize: 0xA0 }
  - { offsetInCU: 0x97A6, offset: 0x97A6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1A60, symSize: 0x110 }
  - { offsetInCU: 0x989C, offset: 0x989C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1B70, symSize: 0x150 }
  - { offsetInCU: 0x99CD, offset: 0x99CD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1CC0, symSize: 0x30 }
  - { offsetInCU: 0x9A56, offset: 0x9A56, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1CF0, symSize: 0x150 }
  - { offsetInCU: 0x9C4E, offset: 0x9C4E, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1E40, symSize: 0x160 }
  - { offsetInCU: 0x9DDA, offset: 0x9DDA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1FA0, symSize: 0x1B0 }
  - { offsetInCU: 0x9FF5, offset: 0x9FF5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2150, symSize: 0xA0 }
  - { offsetInCU: 0xA0C4, offset: 0xA0C4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x21F0, symSize: 0x20 }
  - { offsetInCU: 0xA0FB, offset: 0xA0FB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2210, symSize: 0x20 }
  - { offsetInCU: 0xA132, offset: 0xA132, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2230, symSize: 0x20 }
  - { offsetInCU: 0xA2A1, offset: 0xA2A1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2250, symSize: 0x1A0 }
  - { offsetInCU: 0xA5BF, offset: 0xA5BF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x23F0, symSize: 0x80 }
  - { offsetInCU: 0xA688, offset: 0xA688, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2470, symSize: 0x6C0 }
  - { offsetInCU: 0xB1FE, offset: 0xB1FE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA150, symBinAddr: 0x3610, symSize: 0xB0 }
  - { offsetInCU: 0xB275, offset: 0xB275, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2B30, symSize: 0x70 }
  - { offsetInCU: 0xB349, offset: 0xB349, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2BA0, symSize: 0xA0 }
  - { offsetInCU: 0xB454, offset: 0xB454, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2C40, symSize: 0x40 }
  - { offsetInCU: 0xB54A, offset: 0xB54A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2C80, symSize: 0x2B0 }
  - { offsetInCU: 0xB8F0, offset: 0xB8F0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2F30, symSize: 0xC0 }
  - { offsetInCU: 0xBA36, offset: 0xBA36, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2FF0, symSize: 0x10 }
  - { offsetInCU: 0xBAF8, offset: 0xBAF8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3000, symSize: 0x240 }
  - { offsetInCU: 0xBE1A, offset: 0xBE1A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3240, symSize: 0x70 }
  - { offsetInCU: 0xBEE5, offset: 0xBEE5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DF0, symBinAddr: 0x32B0, symSize: 0x70 }
  - { offsetInCU: 0xBFB0, offset: 0xBFB0, size: 0x8, addend: 0x0, symName: _do_check, symObjAddr: 0x9E60, symBinAddr: 0x3320, symSize: 0x190 }
  - { offsetInCU: 0xC199, offset: 0xC199, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetMethodDeclaringClass_declcls003_check, symObjAddr: 0x9FF0, symBinAddr: 0x34B0, symSize: 0x160 }
  - { offsetInCU: 0xC329, offset: 0xC329, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA200, symBinAddr: 0x36C0, symSize: 0x36A }
...
